<?php

class CRM_Grant_Page_AnnualBudgets extends CRM_Core_Page_Basic {

  /**
   * Get BAO Name.
   *
   * @return string
   *   Classname of BAO.
   */
  public function getBAOName() {
    return 'CRM_Grant_BAO_GrantBudget';
  }

  /**
   * Get action Links.
   *
   * @return array
   *   (reference) of action links
   */
  public function &links() {
    return [];
  }

  /**
   * Browse all Grant Budget.
   */
  public function browse() {
    $fiscalYear = CRM_Utils_Request::retrieve('fiscalYears', 'Positive');
    if (empty($fiscalYear)) {
      $fiscalYear = date('Y');
    }
    $this->assign('fiscalYear', $fiscalYear);
  }

  /**
   * Get edit form name.
   *
   * @return string
   *   name of this page.
   */
  public function editName() {
    return ts('Annual Grant Budget');
  }

  /**
   * Get name of edit form.
   *
   * @return string
   *   Classname of edit form.
   */
  public function editForm() {
    return 'CRM_Grant_Page_AnnualBudgets';
  }

  /**
   * Get user context.
   *
   * @param null $mode
   *
   * @return string
   *   user context.
   */
  public function userContext($mode = NULL) {
    return 'civicrm/grant/annual/budgets';
  }

}
